petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMShellSetLocalToLocalVecScatter

Sets a VecScatter context for local to local communication

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToLocalVecScatter(DM dm, VecScatter ltol)

Logically Collective on dm

Input Arguments

| dm | - the shell DM
| ltol | - the local to local VecScatter context

### See Also

DMShellSetLocalToLocal(), DMLocalToLocalBeginDefaultShell(), DMLocalToLocalEndDefaultShell()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages